Bug 996507 - Update to 3.6-1 breaks backward compatibility
Update to 3.6-1 breaks backward compatibility
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: deltarpm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 06:17 EDT by Tom Atkinson
Modified: 2015-01-12 14:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 07:55:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Atkinson 2013-08-13 06:17:49 EDT
Description of problem:

After updating deltarpm to 3.6.1 previously created gzip deltarpms can no longer be applied.

Version-Release number of selected component (if applicable):

0:3.6-1.fc19

How reproducible:

Every time

Steps to Reproduce:
1. Install deltarpm 3.6
1. Build 2 gzip rpm packages.
2. Build deltarpm for them
3. Run applydeltarpm to verify.
4. Update deltarpm to 3.6.1
5. Run applydeltarpm again

Actual results:

md5 mismatch

Expected results:

Successful creation of deltarpm

Additional info:

There is no corresponding 3.6.1 update for rhel, so gzip deltarpms created there cannot be applied on Fedora.
Comment 1 Fedora End Of Life 2015-01-09 14:26:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jonathan Dieter 2015-01-12 07:55:09 EST
Sorry for the delay in replying.  Just to be clear, we do not support applying deltarpms created with a different version of the compression library.

Deltarpm didn't change any code in its gzip using in the 3.6 update.  The problem is that gzip doesn't make any guarantees about byte-for-byte identical files which is what deltarpm requires.  When the gzip library changes, there is a non-zero chance that old deltarpms will no longer work, and there's not much we can do about that.
Comment 3 Tom Atkinson 2015-01-12 14:43:18 EST
Thanks for taking the time to follow up on the EOL bugs.

I filed this originally because I suspected a change in deltarpm itself (probably https://gitorious.org/deltarpm/deltarpm/commit/e8f82b5d9014085d3cd63a5dc1332061e106b3c1) was the cause. Too late to do anything about it now anyway.

Note You need to log in before you can comment on or make changes to this bug.